1. All Netkiosk versions are fully working Trial versions.
  2. You can install and fully test each Netkiosk trial version without restrictions.
  3. Netkiosk Trial versions are not intended for use in a public or commercial environment.

With Netkiosk 2018 you get all 3 Netkiosk versions.
Simply use the version that best fits your needs.
With access to all 3 versions you can always install a different version if your requirements change.



With Netkiosk Standard you can quickly lock down your PCs, and give access to a secure flexible kiosk browser.
Restrict website access using a tabbed or full screen kiosk browser.
Control settings remotely. User session and automatic clear history.
Built-in customizable white list, content filters, and user interface.
Touch screen compatible with flexible OSK options.


Netkiosk imperi (Chrome Kiosk) for Windows XP (SP3), NT, Windows 7, 8, and 10.

With Chrome Kiosk you can instantly lock down your PCs and run Google Chrome in secure flexible kiosk mode.
Via a secure admin panel you can restrict website access with a built-in white list filter.

With Netkiosk Desktop Lock you can lock down your PCs and restrict access to programs, folders and websites.
A custom Netkiosk kiosk browser is integrated.
A secure admin panel gives you various options to configure Netkiosk Desktop Lock to suit your needs.

All downloads are via our secure Geotrust SSL secured website.


  1. Please read the install help page before, or after, you install Netkiosk.
  2. Netkiosk works on all devices running Windows XP (Service Pack 3), Windows 7 ,8,  and 10.
  3. Netkiosk can be installed on PC’s, Laptops or Windows Tablets.
  4. Netkiosk imperi requires Google Chrome.

Minimum screen resolution for both Netkiosk versions.

1024 X 768

All Netkiosk versions require Microsoft Netframework 4.5

  1. If not installed already Netkiosk will try to install this automatically.
  2. Windows 8 and 10 have Netframework 4.5 built-in. So no need to install.
  3. MICROSOFT NETFRAMEWORK 4.0 (Direct download links to Microsoft website)
  4. If you have problems running Netkiosk please install Microsoft Netframework 4.5 (FULL VERSION)

Adobe Acrobat Reader and Flash Player  (Optional)

  1. You need to make sure you have Adobe Acrobat Reader installed if you want to allow proper access to PDF files and your Flash player is up to date.
  2. Note: Please make sure that you do not install, and try to run, each Netkiosk version on the same PC, at the same time.